#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 streaming-commons
version:              0.2.2.4
visibility:           public
id:                   streaming-commons-0.2.2.4-17afb4w9Gtq9opXZ43eNPB
key:                  streaming-commons-0.2.2.4-17afb4w9Gtq9opXZ43eNPB
license:              MIT
maintainer:           michael@snoyman.com
author:               Michael Snoyman, Emanuel Borsboom
homepage:             https://github.com/fpco/streaming-commons
synopsis:
    Common lower-level functions needed by various streaming data libraries

description:
    Provides low-dependency functionality commonly needed by various streaming data libraries, such as conduit and pipes.

category:             Data
abi:                  a50e2866392b4f34079df5561a891d06
exposed:              True
exposed-modules:
    Data.Streaming.ByteString.Builder
    Data.Streaming.ByteString.Builder.Buffer Data.Streaming.FileRead
    Data.Streaming.Filesystem Data.Streaming.Network
    Data.Streaming.Network.Internal Data.Streaming.Process
    Data.Streaming.Process.Internal Data.Streaming.Text
    Data.Streaming.Zlib Data.Streaming.Zlib.Lowlevel

import-dirs:          /usr/lib/ghc-9.0.2/site-local/streaming-commons-0.2.2.4
library-dirs:         /usr/lib/ghc-9.0.2/site-local/streaming-commons-0.2.2.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-streaming-commons
hs-libraries:         HSstreaming-commons-0.2.2.4-17afb4w9Gtq9opXZ43eNPB
depends:
    array-0.5.4.0 async-2.2.4-DsK1F0iuVhj9HaenwCyvAG base-4.15.1.0
    bytestring-0.10.12.1 directory-1.3.6.2
    network-3.1.2.7-EuFNMFR0kXs1j7tEW9CoN1 process-1.6.13.2
    random-1.2.1-E3c41PA01kCLyHrUUW2INz stm-2.5.0.0 text-1.2.5.0
    transformers-0.5.6.2 unix-2.7.2.2
    zlib-0.6.2.3-E6lRrbJblnzCdT9QqWCCQ

haddock-interfaces:
    /usr/share/doc/haskell-streaming-commons/html/streaming-commons.haddock

haddock-html:         /usr/share/doc/haskell-streaming-commons/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

